numad-0.5.20130522-10.35.x86_64.rpm


Advertisement

Description

numad - Userspace daemon that automatically binds workloads to NUMA nodes

Property Value
Distribution openSUSE Tumbleweed
Repository Hardware all
Package filename numad-0.5.20130522-10.35.x86_64.rpm
Package name numad
Package version 0.5.20130522
Package release 10.35
Package architecture x86_64
Package type rpm
Category System/Daemons
Homepage http://git.fedorahosted.org/git/numad.git
License LGPL-2.1
Maintainer -
Download size 36.73 KB
Installed size 61.76 KB
numad is a userspace daemon that monitors NUMA usage and resource usage
and attempts to configure workloads using cpusets to use a subset of
CPUs and memory nodes to maximise the number local memory access for
best performance. Alternatively, it can be used to give hints as to how
workloads should be manually bound to CPUs and memory nodes. This daemon
is primarily intended for scenarios where there are multiple processes
each which fit within a NUMA node. Examples of such configurations are
virtual machine instances where each VM is smaller than a NUMA node
or running multiple JVMs where each instance fits within a NUMA node.
If the workload is one process that spans two or more nodes such as
a large database server or a single JVM instance then numad is likely
to regress performance.

Alternatives

Package Version Architecture Repository
numad-0.5.20130522-10.35.i586.rpm 0.5.20130522 i586 Hardware
numad-0.5.20130522-6.6.x86_64.rpm 0.5.20130522 x86_64 openSUSE Oss
numad-0.5.20130522-6.6.i586.rpm 0.5.20130522 i586 openSUSE Oss
numad - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
systemd -

Provides

Name Value
config(numad) = 0.5.20130522-10.35
numad = 0.5.20130522-10.35
numad(x86-64) = 0.5.20130522-10.35

Download

Type URL
Mirror widehat.opensuse.org
Binary Package numad-0.5.20130522-10.35.x86_64.rpm
Source Package numad-0.5.20130522-10.35.src.rpm

Install Howto

  1. Add the Hardware repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/hardware/openSUSE_Tumbleweed/ hardware
  2. Install numad rpm package:
    # zypper install numad

Files

Path
/etc/numad.conf
/usr/lib/systemd/system/numad.service
/usr/sbin/numad
/usr/sbin/rcnumad
/usr/share/man/man8/numad.8.gz

Changelog

2017-02-20 - kukuk@suse.de
- Don't call insserv if we use systemd
2013-05-23 - mgorman@suse.com
- Initial package

See Also

Package Description
nut-2.7.4-105.13.i586.rpm Network UPS Tools Core (Uninterruptible Power Supply Monitoring)
nut-2.7.4-105.13.x86_64.rpm Network UPS Tools Core (Uninterruptible Power Supply Monitoring)
nut-cgi-2.7.4-105.13.i586.rpm Network UPS Tools Web Server Support (UPS Status Pages)
nut-cgi-2.7.4-105.13.x86_64.rpm Network UPS Tools Web Server Support (UPS Status Pages)
nut-devel-2.7.4-105.13.i586.rpm Network UPS Tools (Uninterruptible Power Supply Monitoring)
nut-devel-2.7.4-105.13.x86_64.rpm Network UPS Tools (Uninterruptible Power Supply Monitoring)
nut-drivers-net-2.7.4-105.13.i586.rpm Network UPS Tools - Extra Networking Drivers (for Network Monitoring)
nut-drivers-net-2.7.4-105.13.x86_64.rpm Network UPS Tools - Extra Networking Drivers (for Network Monitoring)
nvdock-1.02-16.41.i586.rpm Tray icon for launching NVIDIA Settings
nvdock-1.02-16.41.x86_64.rpm Tray icon for launching NVIDIA Settings
nvidia-firmware-installer-1.0-1.62.noarch.rpm Downloads and installs nVidia firmware
ocaml-brlapi-6.0-103.5.i586.rpm Library to use BRLTTY from applications -- OCaml Bindings
ocaml-brlapi-6.0-103.5.x86_64.rpm Library to use BRLTTY from applications -- OCaml Bindings
ofono-1.29-28.1.i586.rpm Mobile telephony application development framework
ofono-1.29-28.1.x86_64.rpm Mobile telephony application development framework
Advertisement
Advertisement